## Class TDatePickerClientScript

Description

TDatePickerClientScript class.

Client-side date picker event OnDateChanged can be modified through the TDatePicker::getClientSide property of a date picker.

The <tt>OnDateChanged</tt> event is raise when the date picker's date is changed. The formatted date according to TDatePicker::getDateFormat is sent as parameter to this event

- since: 3.0.4
- version: $Id: TDatePicker.php 2372 2008-02-05 14:26:24Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TDatePicker.php (line 864)

    TComponent
       |
       --TClientSideOptions
          |
          --TDatePickerClientScript

Method Summary
string getOnDateChanged ()
void setOnDateChanged (string $javascript)
Methods
getOnDateChanged (line 878)

- return: javascript code to execute when the date picker's date is changed.
- access: public

string getOnDateChanged ()
setOnDateChanged (line 870)

Javascript code to execute when the date picker's date is changed.

- access: public

void setOnDateChanged (string $javascript)

- string $javascript: javascript code

#### Inherited Methods

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:49 -0400 by phpDocumentor 1.3.0RC4